Get status for a customer consent on an order
Get status for a customer consent on an order
Required permissions: SALES_ORDER,RETURN_ORDER
get/tenants/{tenantUid}/stores/{storeUid}/orders/{orderUid}/consents
Authorizations
AuthorizationstringRequired
Access token recevied after user login with a deviceToken
Path parameters
tenantUidstringRequiredPattern:
Reference to a tenant.
^[A-Za-z0-9-_]+storeUidstringRequiredPattern:
Reference to a Store.
^[A-Za-z0-9-_]+orderUidstringRequiredPattern:
Reference to an Order.
^[A-Za-z0-9-_]+Query parameters
orderConsentTypestring · enumRequiredPossible values:
Reference to a orderConsent type
Responses
200
Example response
application/json
get/tenants/{tenantUid}/stores/{storeUid}/orders/{orderUid}/consents
GET /v2/tenants/{tenantUid}/stores/{storeUid}/orders/{orderUid}/consents?orderConsentType=SUBSCRIPTION HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200
Example response
{
"items": [
{
"orderItemUid": "text",
"sku": "text",
"type": "SUBSCRIPTION",
"status": "ACCEPT"
}
]
}Last updated
Was this helpful?

